Foros del Web » Programando para Internet » Javascript »

Compatitibilidad de scripts con chrome, mozilla, IE9

Estas en el tema de Compatitibilidad de scripts con chrome, mozilla, IE9 en el foro de Javascript en Foros del Web. Que tal amigos! les traigo un super reto.. Pues ahora con esto del super avance de los navegadores, algunos scripts se ven afectados dependiendo el ...
  #1 (permalink)  
Antiguo 18/05/2011, 16:59
 
Fecha de Ingreso: octubre-2010
Mensajes: 350
Antigüedad: 9 años, 1 mes
Puntos: 9
Exclamación Compatitibilidad de scripts con chrome, mozilla, IE9

Que tal amigos! les traigo un super reto..

Pues ahora con esto del super avance de los navegadores, algunos scripts se ven afectados dependiendo el navegador y es un verdadero dolor de cabeza, para que subir el nivel si por ver bien los scripts mejor nos quedamos con el navegador pasado jaja o el IE que todo jala ..

Mi duda es
Que <meta> o como haga para la compatibilidad, estuve investigando y para IE8 Y 9 es:

<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7"/>
para chrome
<meta http-equiv="X-UA-Compatible" content="chrome=1">

o he visto que tambien ponen para los 2:
<meta http-equiv="X- UA-Compatible" content="IE=8,chrome=1">

pero ninguno funciona para chrome, entonces como le hago ? al igual que para mozilla.

Saludos!
  #2 (permalink)  
Antiguo 18/05/2011, 18:27
Avatar de zerokilled
Javascripter
 
Fecha de Ingreso: abril-2009
Ubicación: Isla del Encanto, La Borinqueña [+>==]
Mensajes: 8.050
Antigüedad: 10 años, 6 meses
Puntos: 1485
Respuesta: Compatitibilidad de scripts con chrome, mozilla, IE9

buenas,
nunca he escuchado que para chrome y mozilla hay algo similar a iexplorer. de todos modos, se me ocurre que pudiera ser funcional solo para algunas versiones y en las mas recientes se haya retirado. no lo se. en fin, no creo que se aun tema que vaya en este foro porque a mi entender dicho meta no es especificamente para el uso de javascript.
__________________
la maldad es una virtud humana,
y la espiritualidad es la lucha del hombre contra su maldad.
  #3 (permalink)  
Antiguo 19/05/2011, 10:27
 
Fecha de Ingreso: noviembre-2005
Mensajes: 426
Antigüedad: 14 años
Puntos: 87
Respuesta: Compatitibilidad de scripts con chrome, mozilla, IE9

Si no te funciona javascript es un problema de TU javascript; ningún javascript que yo he hecho en la vida ha dejado de funcionar por alguna actualización.

Código HTML:
Ver original
  1. <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7"/>
Esto se utiliza mayoritariamente solo para que las animaciones con transparencias sean mas fluidas IE8 (ya que las renderiza superlento si no)
  #4 (permalink)  
Antiguo 24/05/2011, 07:33
 
Fecha de Ingreso: mayo-2011
Mensajes: 1
Antigüedad: 8 años, 5 meses
Puntos: 0
Respuesta: Compatitibilidad de scripts con chrome, mozilla, IE9

Yo tb tuve ese problema hoy.
A mí me ha funcionado con el últimos script


Cita:
Iniciado por marco64yes Ver Mensaje
Que tal amigos! les traigo un super reto..

Pues ahora con esto del super avance de los navegadores, algunos scripts se ven afectados dependiendo el navegador y es un verdadero dolor de cabeza, para que subir el nivel si por ver bien los scripts mejor nos quedamos con el navegador pasado jaja o el IE que todo jala ..

Mi duda es
Que <meta> o como haga para la compatibilidad, estuve investigando y para IE8 Y 9 es:

<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7"/>
para chrome
<meta http-equiv="X-UA-Compatible" content="chrome=1">

o he visto que tambien ponen para los 2:
<meta http-equiv="X- UA-Compatible" content="IE=8,chrome=1">

pero ninguno funciona para chrome, entonces como le hago ? al igual que para mozilla.

Saludos!
  #5 (permalink)  
Antiguo 24/05/2011, 07:44
Avatar de Aijoona
Colaborador
 
Fecha de Ingreso: mayo-2011
Ubicación: Buenos Aires
Mensajes: 779
Antigüedad: 8 años, 6 meses
Puntos: 343
Respuesta: Compatitibilidad de scripts con chrome, mozilla, IE9

Cita:
Iniciado por InKarC Ver Mensaje
Si no te funciona javascript es un problema de TU javascript; ningún javascript que yo he hecho en la vida ha dejado de funcionar por alguna actualización.
A modo informativo.

En general si haces algun tipo de browser sniffing estas expuesto a esas cosas.

Ejemplos:

MooTools 1.2.4 tuvo problemas cuando FF paso de 3 a 3.6.
LabJS tuvo problemas con FF4

O, si usas un API que puede ser implementada en futuras versiones, caso concreto Prototype y el método getByClassName.
__________________
blog | @aijoona

Etiquetas: chrome, ie9, mozilla, scripts
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 11:09.